NetstatFormatter (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.livedata.formatters.NetstatFormatter class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.livedata.formatters
Class NetstatFormatter

    java.lang.Object
      org.hyperic.hq.livedata.formatters.NetstatFormatter

All Implemented Interfaces:
  LiveDataFormatter

    public class NetstatFormatter

extends java.lang.Object
implements LiveDataFormatter

Constructor Summary
`NetstatFormatter()`

Method Summary
`boolean` | `canFormat(LiveDataCommand cmd, FormatType type)` Return true if the formatter can format the specified command.
`java.lang.String` | `format(LiveDataCommand cmd, FormatType type, ConfigResponse formatCfg, java.lang.Object val)` Format a result from a LiveData execution into a string
`ConfigSchema` | `getConfig(LiveDataCommand cmd)` Get configuration parameters used to pass to format()
`java.lang.String` | `getDescription()` Get the description of the formatter
`java.lang.String` | `getId()` Get a simple string which uniquely identifies this formatter.
`java.lang.String` | `getName()` Get the name of the formatter, used for display purposes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetstatFormatter

    public NetstatFormatter()

Method Detail

### canFormat

    public boolean canFormat(LiveDataCommand cmd,
                             FormatType type)

  Description copied from interface: `LiveDataFormatter`
  Return true if the formatter can format the specified command.

  Specified by:
    `canFormat` in interface `LiveDataFormatter`

### format

    public java.lang.String format(LiveDataCommand cmd,
                                   FormatType type,
                                   ConfigResponse formatCfg,
                                   java.lang.Object val)

  Description copied from interface: `LiveDataFormatter`
  Format a result from a LiveData execution into a string

  Specified by:
    `format` in interface `LiveDataFormatter`
  Parameters:
    `cmd` - The command that was executed
    `type` - The type of data for the result
    `formatCfg` - Configuration for the formatter (a response to `LiveDataFormatter.getConfig(LiveDataCommand)`)
    `val` - The value to format

### getConfig

    public ConfigSchema getConfig(LiveDataCommand cmd)

  Description copied from interface: `LiveDataFormatter`
  Get configuration parameters used to pass to format()

  Specified by:
    `getConfig` in interface `LiveDataFormatter`
  Parameters:
    `cmd` - The command that will be executed and later formatted.

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `LiveDataFormatter`
  Get the description of the formatter

  Specified by:
    `getDescription` in interface `LiveDataFormatter`

### getName

    public java.lang.String getName()

  Description copied from interface: `LiveDataFormatter`
  Get the name of the formatter, used for display purposes.

  Specified by:
    `getName` in interface `LiveDataFormatter`

### getId

    public java.lang.String getId()

  Description copied from interface: `LiveDataFormatter`
  Get a simple string which uniquely identifies this formatter. E.x. "cpuPerc"

  Specified by:
    `getId` in interface `LiveDataFormatter`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.